function observeCheckboxesClick(regularCheckboxName, globalCheckboxName) {
	$$('input[name="' + regularCheckboxName + '"]').each(function(itemCheckbox) {
		itemCheckbox.observe('click', function(event){
			if (false == $(Event.element(event)).checked) {
				var globalCheckbox = $$('input[name="' + globalCheckboxName + '"]').first();
				
				if (globalCheckbox) {
					globalCheckbox.checked = false;
				}
			}
		});
	});
}

function observeListRowsHighlight() {
	highlightRowCallback = function(listRow) {
		listRow.observe('mouseover', function(event) {
			listRow.addClassName('sb-selected-list-row');
		});
		
		listRow.observe('mouseout', function(event) {
			listRow.removeClassName('sb-selected-list-row');
		});
	}
	
	$$('tr.sb-gridtext').each(highlightRowCallback);
	$$('tr.sb-gridtext-alter').each(highlightRowCallback);
}